Healpix configure problem [solution]

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
daan meerburg
Posts: 27
Joined: November 20 2007
Affiliation: Cambridge

Healpix configure problem [solution]

Post by daan meerburg » December 14 2007

I don't know if this was mentioned in any other post, but I had a minor problem when configuring Healpix on intel/macosx/leopard. I post this for reference.

The problem is easily solvable, it has to do with gfortran compiler and the configuration file. If one uses the gnu fortran compiler that comes with gcc4.2 (I installed using fink) when entering >./configure in your healpix2.01 dir. it will say it does not support or know your compiler. This apparently is due to the fact that when the gcc team decided to build a fortran compiler they split up for some reason, which resulted in 2 gfortrans. Since the configure file that comes with the Healpix package is from 2005, which is around the time this happened, it does not recognize gfortran unless it is GNU fortran 95. This is easily solvable once you edit your configure file. At 3/4 of the file you will find the following line:

ngfortran=`$FC -dumpversion 2>&1 | grep 'GNU Fortran 95' | wc -l`

change this to

ngfortran=`$FC -dumpversion 2>&1 | grep 'GNU Fortran' | wc -l`

That's it.

cheers
daan

Post Reply